Bug 241369 - --force and --nullorg are incompatible options
Summary: --force and --nullorg are incompatible options
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sayli Karmarkar
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 456985
TreeView+ depends on / blocked
 
Reported: 2007-05-25 14:50 UTC by James Bowes
Modified: 2015-03-23 01:08 UTC (History)
5 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 20:21:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2007-05-25 14:50:18 UTC
You can't force a package to a nullorg channel. the client should recognize
this, and inform the user.

Comment 2 Jeff Browning 2009-02-18 21:16:23 UTC
I'm not sure what to test here. Could someone please elaborate on the issue?

Comment 3 Sayli Karmarkar 2009-02-18 21:30:22 UTC
Jeff, Just try to use rhnpush using both --force and --nullorg together and it should inform user that it is not allowed. 

~SayliK

Comment 4 wes hayutin 2009-03-10 15:48:02 UTC
[root@grandprix tmp]# rhnpush -c testasf -u admin -p dog8code -d /tmp --force --nullorg
ERROR: You cannot force a package to a nullorg channel.

Comment 5 Milan Zázrivec 2009-08-14 12:50:49 UTC
5.3.0 stage testing: same results as in comment #4 -> RELEASE_PENDING.

Comment 6 Brandon Perkins 2009-09-10 20:21:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.